2018-12-18 23:10 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000063Branch 0.2.1-FINALFeature Requestpublic2010-06-08 01:44
ReporterQuix0r 
Assigned ToQuix0r 
PrioritylowSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000063: Login-Prozedur umschreiben auf Filter
DescriptionDie derzeitige Login-Prozedur fuer Mitglieder wird komplett "haendisch" ausgefuuehrt. Das heist, vieler wichtiger Code befindet sich nicht in Funktionen und Filter weggekapselt, sondern direkt in der what-login.php selbst.

Das macht diese sehr lang und auf Dauer unuebersichtlich.

Dies soll nun komplett - wie beschrieben - umgebaut werden. Gleichzeitig sollen Filter hinzugefuegt werden, an die neue Programmierer ihre Filter "andocken" koennen.

Damit die besagte Datei what-login.php weiter schrumpft, sollten auch das Zusenden eines neuen Passwortes in Filter und Funktionen verlagert werden.


Additional InformationBitte eine Abhaengigkeit des Moduls von ext-user setzen, um Parser-Fehler zu reduzieren.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000166assignedQuix0r Anmeldeprozedur umschreiben auf Filter 
+Relationships

-Notes

~0000430

Quix0r (administrator)

Mit Revision 1671 ist ein Fix dazugekommen, der bei installierter Erweiterung ext-other ein verfruehtes Aufrufen von isMember() in inc/session.php beseitigt. Dies hatte zu Loginproblemen gefuehrt (kein Login war moeglich).
+Notes

-Issue History
Date Modified Username Field Change
2009-02-07 15:29 Quix0r New Issue
2009-02-07 15:29 Quix0r Status new => assigned
2009-02-07 15:29 Quix0r Assigned To => Quix0r
2009-02-07 15:29 Quix0r Projection none => major rework
2009-02-07 15:29 Quix0r ETA none => 2-3 days
2009-02-07 15:29 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-07 15:29 Quix0r Description Updated
2009-02-07 15:31 Quix0r Description Updated
2009-02-07 15:31 Quix0r Additional Information Updated
2009-08-06 14:09 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:09 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2009-12-15 10:34 Quix0r Relationship added duplicate of 0000166
2009-12-18 22:41 Quix0r Note Added: 0000430
2009-12-18 22:56 Quix0r Relationship deleted 0000166
2009-12-18 22:56 Quix0r Relationship added related to 0000166
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:40 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:44 Quix0r Fixed in Version 0.2.1-FINAL =>
+Issue History